type: object
properties:
  name:
    type: string
    description: Name of the dimension item. Cannot be blank or contain leading/trailing whitespace.
    minLength: 1
    pattern: '^\S(.*\S)?$'
    x-pattern-message: 'must not be blank or contain leading/trailing whitespace'
    example: "Marketing Department"
  value:
    type: string
    deprecated: true
    description: Code of the dimension item. Cannot be blank or contain leading/trailing whitespace.
    minLength: 1
    pattern: '^\S(.*\S)?$'
    x-pattern-message: 'must not be blank or contain leading/trailing whitespace'
    example: "MKT001"
  code:
    type: string
    description: Code of the dimension item. Cannot be blank or contain leading/trailing whitespace.
    minLength: 1
    pattern: '^\S(.*\S)?$'
    x-pattern-message: 'must not be blank or contain leading/trailing whitespace'
    example: "MKT001"
  status:
    $ref: './DimensionItemStatus.yaml'
required: [name, status]
